import java.io.*;
import java.util.*;

public class SortedArrayListWordListPrinter extends WordListPrinter
{
  public SortedArrayListWordListPrinter(BufferedReader _in, PrintStream _out)
  {
    super(_in, _out);
  }
  
  public void outputWordList()
  {
    String oneLine;
    StringTokenizer oneLineTok;
    String tempString;
    int i;
    
    theList = new ArrayList();
    
    while ((oneLine = this.readOneLine()) != null)
    {
      oneLineTok = new StringTokenizer(oneLine, " \t");
      
      while (oneLineTok.hasMoreTokens())
      {
        tempString = oneLineTok.nextToken();
        
        i = Collections.binarySearch((ArrayList)theList, tempString) * -1 - 1;
        
        if (i>=0)
          ((ArrayList)theList).add(i, tempString);
      }
      
    }
      
    this.iterateAndOutput();
  }
  
}