import java.io.*;
import java.util.*;

public class SortedLinkedListWordListPrinter extends WordListPrinter
{
  public SortedLinkedListWordListPrinter(BufferedReader _in, PrintStream _out)
  {
    super(_in, _out);
  }
  
	public void outputWordList()
	{
		String oneLine;
		StringTokenizer oneLineTok;
		String tempString;
		int i;
		
		theList = new LinkedList();
		
	    while ((oneLine = this.readOneLine()) != null)
	    {
	      oneLineTok = new StringTokenizer(oneLine, " \t");
	      
	      while (oneLineTok.hasMoreTokens())
	      {
	        tempString = oneLineTok.nextToken();
	        
	        i = Collections.binarySearch((LinkedList)theList, tempString) * -1 - 1;
	        
	        if (i>=0)
	          ((LinkedList)theList).add(i, tempString);
	      }
	      
	    }
	    this.iterateAndOutput();
	}
	  
}