import java.io.*;
import java.util.*;

public class TreeSetWordListPrinter extends WordListPrinter
{
  public TreeSetWordListPrinter(BufferedReader _in, PrintStream _out)
  {
    super(_in, _out);
  }
  
	public void outputWordList()
	{
		String oneLine;
		StringTokenizer oneLineTok;
		String tempString;
		int i;
		
		theList = new TreeSet();
		
	    while ((oneLine = this.readOneLine()) != null)
	    {
	      oneLineTok = new StringTokenizer(oneLine, " \t");
	      
	      while (oneLineTok.hasMoreTokens())
	      {
	        tempString = oneLineTok.nextToken();
	        
	        if (!theList.contains(tempString))
	          theList.add(tempString);
	      }
	      
	    }
	    this.iterateAndOutput();
	}
	  
}