import java.io.*;
import java.util.*;

public class ArrayListWordListPrinter extends WordListPrinter
{
  public ArrayListWordListPrinter(BufferedReader _in, PrintStream _out)
  {
    super(_in, _out);
  }
  
	public void outputWordList()
	{
		String oneLine;
		StringTokenizer oneLineTok;
		String tempString;
		
		theList = new ArrayList();
		
		while ((oneLine = this.readOneLine()) != null)
		{
			oneLineTok = new StringTokenizer(oneLine, " \t");
			
			while (oneLineTok.hasMoreTokens())
			{
			  tempString = oneLineTok.nextToken();
			  
			  if (!(theList.contains(tempString)) )
			    theList.add(tempString);
		  }

      Collections.sort((List)theList);     
    }
    
    this.iterateAndOutput();
  }
}