import java.io.*;

public class JustifyingPrintStream extends PrintStream
{
	private PrintStream out;
	private int MaxLengthGlobal;
	private int CurrentLength;
	private String HoldString = "";
	private int IndexOf = -1;
	
	public JustifyingPrintStream(int MaxLength, PrintStream _out)
    {
      super(_out);
      out=_out;
      MaxLengthGlobal = MaxLength;
    }
    
	public void print(String s)
	{
		if(CurrentLength+s.length() > MaxLengthGlobal || s.compareTo("\n")==0)
		{
			int AddSpaces;
			AddSpaces=MaxLengthGlobal-CurrentLength;
			HoldString=HoldString.substring(0,HoldString.length()-1);
			while(AddSpaces>0)
			{
				IndexOf = HoldString.indexOf(" ", IndexOf+1);
				if(IndexOf!=-1)
				{
					if(Math.random()>.5)
					{
						HoldString = HoldString.substring(0,IndexOf) + " " + HoldString.substring(IndexOf, HoldString.length());
						AddSpaces--;
					}
				}
				else
					IndexOf=-1;
			}
			out.print(HoldString+"\n");
			HoldString=s;
			CurrentLength=0;
		}
		else
			HoldString+=s;
			
		CurrentLength+=s.length();
	}
}