
public class TestThreadedTree {
  public static void main(String [] args)  {
      
    ThreadedBinarySearchTree t = new ThreadedBinarySearchTree();

    for (int i = 0; i<args.length; i++) {
      try {
          t.insert(args[i]);
      } catch (DuplicateItemException e)  {
          System.out.println("duplicate item " + args[i]);
      }
    }

    try  {
        System.out.println("Found item: " + t.find(new String("the")));
        System.out.println("Found item: " + t.find(new String("at")));
    } catch (ItemNotFoundException e) {
        System.out.println(e.getMessage());
    }

    t.printTree();
  }
}
